Name:      mongoose
Group:     Applications/System 
Summary:   An easy-to-use self-sufficient web server
Version:   2.8
Release:   2%{?dist}
License:   MIT
URL:       http://code.google.com/p/mongoose
Source0:   http://mongoose.googlecode.com/files/mongoose-%{version}.tgz
Source1:   mongoose.conf
Patch0:    makefile-include-debuginfo.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Mongoose web server executable is self-sufficient, it does not depend on 
anything to start serving requests. If it is copied to any directory and 
executed, it starts to serve that directory on port 8080 (so to access files, 
go to http://localhost:8080). If some additional configuration is required - 
for example, different listening port or IP-based access control, then a 
'mongoose.conf' file with respective options can be created in the same 
directory where executable lives. This makes Mongoose perfect for all sorts 
of demos, quick tests, file sharing, and Web programming.


%prep
#Due to upstream' way of packaging, we have to manually do all setup's work
cd %{_builddir}
test "$?" -ne 0 && return 1
   rm -rf %{name}-%{version}
   %__gzip -dc %{SOURCE0} | %__tar -xvvf -
   test "$?" -ne 0 && return 1
      mv %{name} %{name}-%{version}
      cd %{name}-%{version}
      test "$?" -ne 0 && return 1
         %__chmod -Rf a+rX,u+w,g-w,o-w .

%patch0 -p1 

%build
# No configure script is present, it is all done via make flags
cd %{_builddir}/%{name}-%{version}
make %{?_smp_mflags} COPT="%{optflags}" linux 


%install
rm -rf %{buildroot}

DEF_DOC_DIR="%{buildroot}/%{_defaultdocdir}/%{name}-%{version}"

%{__install} -d %{buildroot}/%{_bindir}
%{__install} -d %{buildroot}/%{_mandir}/man1
%{__install} -d ${DEF_DOC_DIR}

cd %{_builddir}/%{name}-%{version}

%{__install} -p -m 755 %{name} %{buildroot}/%{_bindir}
%{__install} -p -m 644 %{name}.1 %{buildroot}/%{_mandir}/man1
%{__install} -p -m 644 %{SOURCE1} ${DEF_DOC_DIR}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%dir %{_defaultdocdir}/%{name}-%{version}
%{_defaultdocdir}/%{name}-%{version}/%{name}.conf


%changelog
* Mon May 17 2010 Rafael Azenha Aquini <aquini at linux dot com> - 2.8-2
- Set of fixes to the Spec file, suggested by Chen Lei's review (592670)

* Sat May 15 2010 Rafael Azenha Aquini <aquini at linux dot com> - 2.8-1
- initial packaging.

